#!/bin/sh
#Copyright 2007 Sony Corporation

PATH="/bin:/sbin/:/usr/bin"
export PATH
RESOLVER=/etc/resolv.conf

#logger "dhcp6c reason:$REASON dns:$new_domain_name_servers dn:$new_domain_name ntp:$new_ntp_servers sip:$new_sip_name_servers sipn:$new_sip_name"

#If no DNS are offerd, we have to keep the current resolver setting.
if [ "x$new_domain_name" = "x" -a "x$new_domain_name_servers" = "x" ];
then
	exit 0;
fi

#Then we will update resolv.conf. Delete & Append.
if [ -e $RESOLVER ];
then
	rm $RESOLVER
fi
touch $RESOLVER

for adomain in $new_domain_name
do
	echo "search $adomain" >> $RESOLVER
done
for adns in $new_domain_name_servers
do
	echo "nameserver $adns" >> $RESOLVER
done

